<?php

namespace WP_Shopify\Render;

use WP_Shopify\Utils;
use WP_Shopify\Options;

if (!defined('ABSPATH')) {
    exit();
}

class Root
{
    public function __construct($Template_Loader)
    {
        $this->Template_Loader = $Template_Loader;
    }

    public function generate_component_id($encoded_data_string)
    {
        return Utils::hash($encoded_data_string);
    }

    public function encode_component_data($data)
    {
        return Utils::base64($data);
    }

    public function render_root_component($data)
    {
        return $this->Template_Loader
            ->set_template_data($data)
            ->get_template_part('components/root/element');
    }
}
